
QGIS Application - Bug report #1753

QGis crashes in a Zoom to Full Extent after an 'on the fly' transformation

2009-06-30 08:48 AM - gcarrillo -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11813

Description

I load a raster layer to QGis, check the 'on the fly' option on the SRC main dialog, set the SRC to 3115. At this point everything is ok. I

open again the SRC dialog and set the EPSG to 4326.

I get this log messages:

Warning: Throwing exception /build/buildd/qgis-1.1.0/src/core/qgscoordinatetransform.cpp503

Warning: Throwing exception /build/buildd/qgis-1.1.0/src/core/qgscoordinatetransform.cpp226

Warning: Throwing exception /build/buildd/qgis-1.1.0/src/core/qgscoordinatetransform.cpp246

Warning: Transform error caught in /build/buildd/qgis-1.1.0/src/core/qgsmaprenderer.cpp, line 597

And finally QGis crashes in a Zoom to Full Extent and get a Segmentation Fault.

History

#1 - 2009-07-01 05:33 AM - Giovanni Manghi

I can't replicate this on both windows and linux with Qgis 1.2, but I haven't any raster in the 3115 projection. Could you provide some test data?

#2 - 2009-07-01 01:37 PM - gcarrillo -

This is a test raster:

http://downloads.tuxfamily.org/tuxgis/tmp/test.tif

After the last 'on the fly' transformation I navigate the map (with zooms) and QGis crashes.

I'm using QGis 1.1 on Ubuntu 9.04.

#3 - 2009-07-01 03:15 PM - Giovanni Manghi

I tested the map with qgis 1.1 under ubuntu 9.04 (from repository, compiled against gdal 1.6.1) and qgis 1.2 under ubuntu 9.04 (compiled from source

againt the latest gdal), and I cannot replicate the problem.

When CRS is set to 4326, zooming and panning has sometimes delays, but the program never freezed nor crashed.

Closing?

What repository are you using?
#4 - 2009-07-02 11:49 AM - gcarrillo -

With the test.tif file, on Ubuntu 9.04 (repository: ppa.launchpad.net, Unstable version) and Windows XP (QGis 1.1, OSGeo4W Installer) QGis crashes. If

necessary I could make a small video.

#5 - 2009-07-02 01:01 PM - Giovanni Manghi

Please try qgis 1.1 from the

http://les-ejk.cz/ubuntu/

repository, if I'm not wrong it has qgis compiled against a more recent version of gdal (compared to the version available in the launchpad repository). Try

also qgis 1.2 under windows, you can install it with the osgeo4w installer, together with the 1.0.x/1.1.x version.

#6 - 2009-07-06 06:45 AM - gcarrillo -

I did try QGis 1.2 with the OSGeo4W installer and I get the same results: QGis crashes. I'm using the test.tif file.

#7 - 2009-07-06 02:33 PM - Giovanni Manghi

I'll make further tests and try to figure where it could be the difference.

#8 - 2009-07-09 05:28 AM - Giovanni Manghi

Hi,

I'm sorry, but I cannot make qgis crash :)

Here

http://www.faunalia.pt/downloads/linux.mpeg

http://www.faunalia.pt/downloads/windows.mpeg

you can download the screencasts I made under ubuntu and windows. You tell me if I done something wrong or if I missed something. If not, I guess we

will need more tests by other people.

#9 - 2009-07-11 01:10 PM - gcarrillo -

I send you the steps I am following on a video:

http://downloads.tuxfamily.org/tuxgis/tmp/qgis_bug.tar

I did use QGis 1.1, only to show you the steps (I don't have the 1.2 version installed at home).

#10 - 2009-07-11 01:30 PM - Giovanni Manghi
Well,

I guess we will need more tests by other people :)

#11 - 2009-07-11 02:12 PM - Giovanni Manghi

By the way I tested qgis 1.1 and do crashes, so I guess that something between 1.1 and 1.2 has already been fixed.

Let's see if we get more feedback.

#12 - 2009-07-13 03:04 AM - Paolo Cavallini

Tested, I cannot make QGIS crash with test.tif, following the same steps.

This with self-compiled QGIS from today's trunk, libgdal 1.5.4 on Debian testing, up to date.

I get some warning, however:

Warning: [[QgsCoordinateReferenceSystem]]::getRecord failed :  select * from tbl_srs where parameters='+proj=tmerc +lat_0=4.599047222222223

+lon_0=-77.08091666666667 +k=1 +x_0=1000000 +y_0=1000000 +ellps=intl +units=m +no_defs'

Warning: [[QgsCoordinateReferenceSystem]]::findMatchingProj will only work if prj acr ellipsoid acr and proj4string are set!...

Warning: [[QgsCoordinateReferenceSystem]]::getRecord failed :  select * from tbl_srs where parameters='+proj=tmerc +lat_0=4.599047222222223

+lon_0=-77.08091666666667 +k=1 +x_0=1000000 +y_0=1000000 +ellps=intl +units=m +no_defs'

Warning: [[QgsCoordinateReferenceSystem]]::findMatchingProj will only work if prj acr ellipsoid acr and proj4string are set!...

Warning: Object::connect: No such signal [[QgsRasterLayer]]::editingStarted() in

/home_slides/Desktop/build/qgis_unstable/src/app/legend/qgslegend.cpp:548

Warning: Object::connect: No such signal [[QgsRasterLayer]]::editingStopped() in

/home_slides/Desktop/build/qgis_unstable/src/app/legend/qgslegend.cpp:549

#13 - 2009-07-13 03:34 AM - Giovanni Manghi

Replying to [comment:10 gcarrillo]:

I send you the steps I am following on a video:

http://downloads.tuxfamily.org/tuxgis/tmp/qgis_bug.tar

I did use QGis 1.1, only to show you the steps (I don't have the 1.2 version installed at home).

Hi,

have you any chance to test this bug on a clean installation of linux/windows and qgis (possibly from trunk)?

Your problem can be related to local configurations/definitions.

#14 - 2009-07-13 08:20 AM - gcarrillo -

I can test it again on a clean installation of QGis, but I think the reinstallation of the O.S. is not possible.

Please remember that I test the bug on two PC's getting the same results. I did test on Windows XP the QGis 1.2 (rev. 10972M) with OSGeo4W installer.
I'll tell to my friends to test it.

#15 - 2009-07-13 08:25 AM - Giovanni Manghi

Hi, I didn't mean to reinstall your o.s. :) A virtual machine can do the trick, but also other pc would serve to test this bug.

Thanks.

#16 - 2009-07-13 11:03 AM - Giovanni Manghi

Replying to [comment:15 gcarrillo]:

I can test it again on a clean installation of QGis, but I think the reinstallation of the O.S. is not possible.

Please remember that I test the bug on two PC's getting the same results. I did test on Windows XP the QGis 1.2 (rev. 10972M) with OSGeo4W

installer.

I'll tell to my friends to test it.

Just tested qgis 1.2 from osgeo4w under Vista 32 bit. No crash or freeze.

#17 - 2009-07-15 06:29 AM - Giovanni Manghi

Tested again two more times on different windows xp installations (not virtual machines), and I can't get any crash or freeze using qgis 1.2 installed with the

osgeo4w installer.

#18 - 2009-07-16 07:34 AM - gcarrillo -

I tested on other Ubuntu 9.04 installation with QGis 1.1 and don't get the crash. I don't know what happen with my two installations (at home and at office).

#19 - 2009-07-16 07:40 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

Replying to [comment:19 gcarrillo]:

I tested on other Ubuntu 9.04 installation with QGis 1.1 and don't get the crash. I don't know what happen with my two installations (at home and at

office).

Hi there,

seems that it can depends on some kind of personal configuration of qgis. In any case I'll close this ticket because it seems also that problem is not

correlated directly to OTFT, raster support and/or CRS.

Feel free to reopen it if necessary, or open a new one if you find a new different cause for your crashes.
#20 - 2009-08-01 08:18 PM - gcarrillo -

I tested again this issue with commit:06ce0aa4 (SVN r11243) and this time QGis don't crash. Thanks.
